Retrieves the user_planning_slot_type with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot_type
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

name

Name of the user planning slot type.

string

Required

Max length: 50

background_color

User can select amongst any color.

string

Max length: 7

sales_organization_id

Organization on which belongs the user planning slot type

globally unique identifier

Required

is_support

To specify if this slot inform the user he is "on call" during that period.

boolean
show_on_user_job_list

to specify if need to be shown on wo list.

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "fc0ce3d7-b9ff-4cfa-a904-3faefb57483a",
  "name": "sample string 2",
  "background_color": "sample ",
  "sales_organization_id": "9829cf10-bf21-4451-b8dc-3c28c6eb4ba8",
  "is_support": true,
  "show_on_user_job_list": true,
  "modified_dateutc": "2026-08-24T12:14:52.9645181+00:00"
}